TACHK(1)

NAME
tachk - Check the validity of the trust anchors in a named.conf file

SYNOPSIS
  tachk [options] <named.conf>

DESCRIPTION
tachk checks the validity of the trust anchors in the specified named.conf file. The output given depends on the options selected.

Note: This script may be removed in future releases.

OPTIONS
tachk takes two types of options: record-attribute options and output-style options. These option sets are detailed below.

  Record-Attribute Options
These options define which trust anchor records will be displayed.

-valid
    This option displays the valid trust anchors in a named.conf file.

-invalid
    This option displays the invalid trust anchors in a named.conf file.

  Output-Format Options
These options define how the trust anchor information will be displayed. Without any of these options, the zone name and key tag will be displayed for each trust anchor.

-count
    The count of matching records will be displayed, but the matching records will not be.

-long
    The long form of output will be given. The zone name and key tag will be displayed for each trust anchor.

-terse
    This option displays only the name of the zones selected by other options.

-Version
    Displays the version information for tachk and the DNSSEC-Tools package.

-help
    Display a usage message.

AUTHOR
Wesley Griffin

(Current contact for tachk is Wayne Morrison, tewok@tislabs.com.)

SEE ALSO
trustman(8)

named.conf(5)